local switches = loadfile("/SCRIPTS/" .. model.getInfo().name .. "/Switches.lua")

switches = (switches and switches()) or {{name = "demo SA",switch = "sa", states = {"SA\192","-","SA\193"}}}
    
local script = {}

script.background = function()
end

script.run = function()
  lcd.clear()
  for i,switch in ipairs(switches) do
    lcd.drawText(2,1+8*(i-1),switch.name,SMLSIZE)
    for position,state in ipairs(switch.states) do
      lcd.drawText(40 + 40*position,1+8*(i-1),state
        ,SMLSIZE + (((getValue(switch.switch)/1024 + 2)==position) and INVERS or 0))
    end
  end
  return 0
end

return script